<?php

namespace app\admin\controller;

use app\admin\logic\GoodGroupItemLogic;
use app\BaseController;
use app\model\CommonModel;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//【商品分组明细】
class GoodGroupItem extends BaseController
{
    //获取商品分组明细列表
    public function list()
    {
        $param = $this->request->only(['good_group_id' => 0, 'page' => 1, 'size' => 10, 'good_title' => ''], 'post');

        return GoodGroupItemLogic::list($param);
    }

    //添加商品分组明细
    public function add()
    {
        $param = $this->request->only(['good_group_id', 'good_id','weight'=>0], 'post');

        $val = Validate::rule(Config::get('validate_rules.GoodGroupItemAdd'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GoodGroupItemLogic::add($param);
    }

    //获取商品分组明细详情
    public function read()
    {
        $id = $this->request->post('id/d', 0);
        return GoodGroupItemLogic::read($id);
    }

    //编辑商品分组明细
    public function edit()
    {
        $param = $this->request->only(['id', 'good_id','weight'], 'post');

        $val = Validate::rule([
            'id|商品分组明细id' => 'require|number|gt:0',
            'good_id|商品id' => 'require|number|gt:0',
            'weight|权重' => 'number|egt:0',
        ]);

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GoodGroupItemLogic::edit($param);
    }

    //删除商品分组明细
    public function delete()
    {
        $ids = $this->request->post('id/a', []);
        return GoodGroupItemLogic::delete($ids);
    }

}